Change a benchmark's settings
curl --request POST \
--url https://api.benchgen.com/api/competitions/{id}/settings/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"enable_detailed_results": true,
"registration_auto_approve": true,
"auto_run_submissions": true,
"show_detailed_results_in_submission_panel": true,
"show_detailed_results_in_leaderboard": true,
"can_participants_make_submissions_public": true,
"make_programs_available": true,
"make_input_data_available": true,
"forum_enabled": true,
"docker_image": "<string>"
}
'import requests
url = "https://api.benchgen.com/api/competitions/{id}/settings/"
payload = {
"enable_detailed_results": True,
"registration_auto_approve": True,
"auto_run_submissions": True,
"show_detailed_results_in_submission_panel": True,
"show_detailed_results_in_leaderboard": True,
"can_participants_make_submissions_public": True,
"make_programs_available": True,
"make_input_data_available": True,
"forum_enabled": True,
"docker_image": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
enable_detailed_results: true,
registration_auto_approve: true,
auto_run_submissions: true,
show_detailed_results_in_submission_panel: true,
show_detailed_results_in_leaderboard: true,
can_participants_make_submissions_public: true,
make_programs_available: true,
make_input_data_available: true,
forum_enabled: true,
docker_image: '<string>'
})
};
fetch('https://api.benchgen.com/api/competitions/{id}/settings/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"valid": true,
"errors": [
"<string>"
]
}Benchmark creation
Change benchmark settings
JSON switches and docker_image, or a multipart logo image sent on its own. The AI judge settings, collaborators and the whitelist are not changeable here. Add ?dry_run=1 to validate only. Requires benchmark:edit.
POST
/
api
/
competitions
/
{id}
/
settings
/
Change a benchmark's settings
Authorizations
Platform API token created under Profile Settings > Platform API tokens. Scopes are fixed at creation.
Path Parameters
Query Parameters
Available options:
1 Body
application/jsonmultipart/form-data
Maximum string length:
128Response
Checked or changed
The response is of type object.
Last modified on September 21, 2026